<?php
/*
 * @author	Robert "Tatzelwurm" Hempel
 * @copyright	2007-2009 INSIDE das Hörspiel
 * @license	Creative Commons Attribution-Share Alike 3.0 http://creativecommons.org/licenses/by-sa/3.0/de/
 * @package	de.inside.gwsp.activitiy
 * @subpackage	system.event.listener
 * @category	CompetitionActivitiy
 * 
 */

require_once(WCF_DIR.'lib/system/event/EventListener.class.php');

class CompetitionActivitiyListener implements EventListener {
	private $activitiy		= 0;
	
	/**
	 * @see EventListener::execute()
	 */
	public function execute($eventObj, $className, $eventName) {

		switch ($eventName)
		{
			case 'assignVariables':
				if ($className == 'IndexPage') 
				{
					foreach ($eventObj->competitions as $competition)
					{
						if ($competition->value('activitiy'))
					        {
							$additionalTitleContent = WCF::getTPL()->get('additionalTitleContent');
							WCF::getTPL()->clearAssign('additionalTitleContent');
							if (isset($additionalTitleContent[$competition->value('competitionID')]) && $additionalTitleContent[$competition->value('competitionID')] != '') 
							{
								$additionalTitleContent[$competition->value('competitionID')] .= "<br />".WCF::getLanguage()->get('gws.index.activitiy').$competition->value('activitiy');
							}
							else 
							{
								$additionalTitleContent[$competition->value('competitionID')] = "<br />".WCF::getLanguage()->get('gws.index.activitiy').$competition->value('activitiy');
							}
							WCF::getTPL()->assign('additionalTitleContent', $additionalTitleContent);
					        }
					}
				}
			break;
			
			case 'readData':
				if ($className == 'CompetitionForm')
				{
					if(WCF::getUser()->userID && $eventObj->competition->value('activitiy') >= 1) 
					{	// subtract Guthaben
						if (WCF::getUser()->activityPoints < $eventObj->competition->value('activitiy'))
						{
							throw new NamedUserException(WCF::getLanguage()->get('gws.global.error.activitiy'));
							exit;
						}
					}
				}
			break;
		} 
	}
}
?>